import { Repository } from '../../infrastructure/repositories/repository';
import { JobResponse } from '../../domain/models/profiles/JobResponse.interface';
import { TaskType } from '../../domain/models/tasks/enums/TaskType.enum';
import { JobsSummaryResponse } from '../../domain/models/jobs/JobsSummaryResponse.interface';
import { JobCountResponse } from '../../domain/models/jobs/JobCountResponse.interface';
import { JobInfoResponse } from '../../domain/models/jobs/JobInfoResponse.interface';
import { Response } from '../../domain/models/Response.interface';
export declare class JobRepository extends Repository {
    constructor();
    submitJob(idTaskSelected: String): Promise<JobResponse>;
    getSummaryFromTask(taskType: TaskType): Promise<JobsSummaryResponse>;
    getCount(taskType: TaskType): Promise<JobCountResponse>;
    deleteJob(idJobSelected: String, taskType: TaskType): Promise<Response>;
    stopJob(idJobSelected: String): Promise<Response>;
    getInfoJob(idJobSelected: String, taskType: TaskType): Promise<JobInfoResponse>;
    getDetailJob(idJobSelected: String, taskType: TaskType): Promise<any>;
    getStatisticsExecutionJob(taskType?: TaskType): Promise<any>;
    getQuestionsEvolve(idJobSelected: String): Promise<any>;
    saveQuestionsEvolve(idJobSelected: String, data: any): Promise<any>;
    resumeJobEvolve(idJobSelected: String): Promise<any>;
    getSuggestedConfigs(idJobSelected: String): Promise<any>;
}
